#if !defined(INCLUDED_GLOBE_H)
#define INCLUDED_GLOBE_H

#include <list>

#include "graphics.h"
#include "world.h"



typedef struct Snow {
	void randomize( int max_r, int rand_r);
	int  out_of_range( double max_r);

	int type;

	// Snow position is relative to... the center of globe
	double x;
	double y;

	double angle;
} SNOW;

typedef enum {
	P_SIDE = 0,
	P_PARTIAL,
	P_TOP,
} PERSPECTIVE;

class GLOBE {
public:
	GLOBE(GRAPHICS *graphics);
	~GLOBE();

	void update(float dt);
	void draw(void);

	void hand_start(void);
	void hand_stop(void);
	int  full_hand(void);
	void shake(int dx, int dy);
	void stir_snow(void);

private:
	GRAPHICS    *_graphics;
	SDL_Surface *_base_surf;
	SDL_Surface *_dome_surf;
	SDL_Surface *_snow_surf;
	SDL_Surface *_hand_surf;

	WORLD *_world;

	PERSPECTIVE _perspective;

	double _snow_speed;
	double _bubble_speed;

	int    _hand_state;
	int    _hand_pos;
	int    _hand_rate;

	int    _offset_x;
	int    _offset_y;

	std::list<SNOW *> _snow;
	std::list<SNOW *> _bubbles;
};


#else

class GLOBE;

#endif
