#include <SDL/SDL.h>
#include <SDL/SDL_image.h>

#include "graphics.h"



GRAPHICS::GRAPHICS(
	int dim_x,
	int dim_y
)
{
	SDL_Init(SDL_INIT_VIDEO);
	IMG_Init(IMG_INIT_PNG);

	primary = SDL_SetVideoMode(dim_x, dim_y, 24, SDL_DOUBLEBUF);
}


GRAPHICS::~GRAPHICS(
)
{
	SDL_Quit();
}

////////////////////////////////////////

SDL_Surface *
GRAPHICS::load_image(
	const char *filename
)
{
	SDL_Surface *s = IMG_Load(filename);

	if (s == nullptr) {
		fprintf(stderr, "Unable to open image %s\n", filename);
		exit(1);
	}

	return(s);
}


