#include "room.h"



ROOM::ROOM(
	GRAPHICS *graphics
)
{
	_graphics = graphics;

	_bg_surf = _graphics->load_image("resources/background.png");
}

ROOM::~ROOM(
)
{
	;
}


void 
ROOM::draw(
	void
)
{
	SDL_Rect srect;
	SDL_Rect drect;

	SDL_FillRect(_graphics->primary, nullptr, 0x00d3bcf4);

	// 128x128
	srect.x = 64;
	srect.y = 64;
	srect.w = 64;
	srect.h = 64;

	//////////

	// wallpaper

	drect.w = 64;
	drect.h = 64;

	for(int x = 0; x < 6; x++) {
		for(int y = 0; y < 8; y++) {
			drect.x = x * 128 + (y%2 == 1) * 64 - 32;
			drect.y = y * 96;

			SDL_BlitSurface(_bg_surf, &srect, _graphics->primary, &drect);
		}
	}

	//////////

	// shelf

	srect.x = 64;
	srect.y = 0;

	for(int x = 0 ; x < (_graphics->primary->w / 64) + 1; x++) {
		drect.x = x * 64;
		drect.y = 300;

		SDL_BlitSurface(_bg_surf, &srect, _graphics->primary, &drect);
	}

	//////////

	// supports

	srect.x = 0;
	srect.y = 0;
	srect.h = 128;
	drect.h = 128;

	drect.y = 300 + 64;

	drect.x = 128;
	SDL_BlitSurface(_bg_surf, &srect, _graphics->primary, &drect);
	drect.x = _graphics->primary->w - 128 - 64;
	SDL_BlitSurface(_bg_surf, &srect, _graphics->primary, &drect);
}


